Create employment

Creates an employment. We support creating employees and contractors.

Global Payroll Employees

To create a Global Payroll employee, pass global_payroll_employee as the type parameter,
and provide the id of the specific legal entity that the employee will be engaged by and billed to as the engaged_by_legal_entity_id parameter.

HRIS Employees

To create a HRIS employee, pass hris as the type parameter.

This endpoint requires and returns country-specific data. The exact required and returned fields will
vary depending on which country the employment is in. To see the list of parameters for each country,
see the Show form schema endpoint under the Countries category.

Please note that the compliance requirements for each country are subject to change according to local
laws. Given its continual updates, using Remote's json-schema-form should be considered in order to avoid
compliance issues and to have the latest version of a country requirements.

If you are using this endpoint to build an integration, make sure you are dynamically collecting or
displaying the latest parameters for each country by querying the "Show form schema" endpoint.

For more information on JSON Schemas, see the How JSON Schemas work documentation.

To learn how you can dynamically generate forms to display in your UI, see the documentation for
the json-schema-form tool.

Scopes

CategoryRead only ScopeWrite only Scope (read access implicit)
Manage employments (employments)-Manage employments (employment:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
≥ 1

Version of the form schema


Specific version number

Body Params

Employment params

Description of the basic required and onboarding tasks params to create an employment.
You do not need to include all onboarding tasks when creating or updating an employment.

basic_information
object
required

Employment basic information. As its properties may vary depending on the country,
you must query the Show form schema endpoint
passing the country code and employment_basic_information as path parameters.

string

Id of the legal entity that should be billed for the employment. If omitted, falls back to engaged_by_legal_entity_id. For EOR and Contractor employments this may differ from engaged_by_legal_entity_id. For Global Payroll and Direct (HRIS) employments it must match engaged_by_legal_entity_id.

string

This optional field is deprecated.

string
required

The ISO 3166-1 3-letter country code where the employee will be based (e.g., AUS, GBR, USA).

string
deprecated

Deprecated alias for engaged_by_legal_entity_id. Use engaged_by_legal_entity_id instead.

string

Id of the legal entity that engages the employee or contractor. Required for Global Payroll employees. For EOR and Contractor employments this may differ from bill_to_legal_entity_id. For Global Payroll and Direct (HRIS) employments it must match bill_to_legal_entity_id.

string
length ≤ 64

A unique reference code for the employment record in a non-Remote system. This optional field links to external data sources. If not provided, it defaults to null. While uniqueness is recommended, it is not strictly enforced within Remote's system.

string
enum

If not provided, it will default to employee.

Allowed:
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json